Quick question

Discussion in 'PSP - Games & Content' started by dgwillia, Jul 11, 2010.

  1. dgwillia
    OP

    dgwillia The Bacon Lover

    Member
    2,171
    215
    Mar 9, 2008
    United States
    Columbia Station, Ohio
    Would a legit MGS:PW UMD work on a 5.50GEN D-3 PSP without any issues? About to leave in like 5 minutes to go to some stores and was considering grabbing it since its only 19.99 at K-Mart

    Thanks for the help, i probally wont reply for a while since im gonna have to check for the awnser on my cell phone
     
  2. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    No.

    Only 5.50 Prometheus would have a chance to play it natively without any plugin or patch support.
     
  3. dgwillia
    OP

    dgwillia The Bacon Lover

    Member
    2,171
    215
    Mar 9, 2008
    United States
    Columbia Station, Ohio
    Oh dang, so theres no plugins on 5.50 D-3 that would allow it?
     
  4. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    Use the 5.00 M33-6 with the m33_620 plugin (i believe that this should work with a UMD) or 5.50 Prometheus. GEN-D lacks functionality these days... [​IMG]
     
  5. dgwillia
    OP

    dgwillia The Bacon Lover

    Member
    2,171
    215
    Mar 9, 2008
    United States
    Columbia Station, Ohio
    Never going back to M33
     
  6. luke_c

    luke_c Big Boss

    Member
    3,587
    32
    Jun 16, 2008
    Land of England
    You can use the M33 6.20 plugin with D3 can't you?
     
  7. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    No idea...i've never really looked into it because i just patch the games....i'd have guessed yes but who knows what works with the latest GEN release these days...

    Never going back to M33? Seems a bit limiting?
     
  8. nl255

    nl255 GBAtemp Addict

    Member
    2,571
    360
    Apr 9, 2004
    Just install Prometheus on top of D3. All Prometheus does is replace pegasus.prx and a few other files with ones that can handle the latest 6.20 games (and does not have the save issue D3 did). Think of it as upgrading to 5.50 GEN-D4.
     
  9. fgghjjkll

    fgghjjkll GBATemp MegaMan

    Member
    GBAtemp Patron
    fgghjjkll is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    2,041
    42
    Jul 7, 2008
    The plugin works with GEN also. I have tested it with both GEN and M33 and they both have similar results. There is a compatibility list here.
    And may i ask what is so "limiting" about GEN?
     
  10. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    You've misunderstood. If i say "I'll NEVER leave this or that firmware!" or "I'll never use that firmware" i'm effectively shooting myself in the foot if any new developments crop up. I implied that saying you'll never do something is rather silly.
     
  11. dgwillia
    OP

    dgwillia The Bacon Lover

    Member
    2,171
    215
    Mar 9, 2008
    United States
    Columbia Station, Ohio
    So....its just as silly as forcing a firmware down someones throat? Its a simple choice of not wanting to downgrade just for a few features that i barely use, compared to having the ease of the newest firmware. Unless DarkAlex himself comes back, im sticking with GEN

    And as far as downgrading goes, i stick with my statement of never doing it. I only update when im 100% sure i want something, and downgrading in most situations is fairly risky (Especially if you dont have a pandora)
     
  12. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    Forcing a firmware? Quote please.

    Also the newest firmware is 5.50 Prometheus, which allows you to do what you require, so why not use that?
     
  13. wrettcaughn

    wrettcaughn Misunderstood Moral Elitist

    Member
    3,785
    863
    Mar 14, 2009
    United States
    blowing that way out of proportion. dude wasn't "forcing" anything down anyone's throat, merely saying that he is keeping his options open.
     
  14. dgwillia
    OP

    dgwillia The Bacon Lover

    Member
    2,171
    215
    Mar 9, 2008
    United States
    Columbia Station, Ohio
    Because Prometheus is glitchy as hell, and GEN has yet to have any issues for me since the day i got it.

    And its just fairly annoying when everytime i make a topic 5+ people come and make a smirky "M33" related post. If i wanted M33, i'd be asking about it, if im asking about GEN please dont make any comments about how M33 is more stable and better
     
  15. Magmorph

    Magmorph GBAtemp Advanced Fan

    Member
    806
    21
    Feb 22, 2009
    United States
    You have obviously never used Prometheus. It has no more glitches than GEN does. It only modifies a few files from GEN to give it more compatibility.
     
  16. dgwillia
    OP

    dgwillia The Bacon Lover

    Member
    2,171
    215
    Mar 9, 2008
    United States
    Columbia Station, Ohio
    Not from what i heard, my friend has prometheus and can barely get half of his older games to work. Atleast on GEN the only issues i have are with new releases (Which i havent even had that lately due to all the new Plugins and such).
     
  17. Jolan

    Jolan Unlimited Bear Works

    Member
    1,385
    7
    Mar 20, 2010
    Netherlands, currently
    Yeah, is this about 5.50 Prom or 5.03 Prom?